%define name kmysql
%define version 1.2.1
%define release 1
%define prefix /usr
%define qtdir /usr/lib/qt-1.44

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A graphic SQL client for KDE
Prefix: %{prefix}
Group: X11/KDE/Utilities
Copyright: GPL
Vendor: Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
Packager: Gerald Teschl <gerald@esi.ac.at>
Distribution: KDE
Source: %{name}-%{version}.tar.gz
#Source: ftp://ftp.xnot.com/kmysql/pub/%{name}-%{version}.tar.gz
URL: http://www.xnot.com/kmysql/
Requires: qt kdelibs
Buildroot: /var/tmp/%{name}-buildroot

%description
KMySQL is a graphical SQL client originally designed to work with MySQL,
in replacement of the prompt-based text-mode mysql client.
It uses now plugins to access databases, so it can virtually be used
with any database.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
export KDEDIR=%{prefix}
export QTDIR=%{qtdir}
./configure \
		--prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{prefix}
make install-strip prefix=$RPM_BUILD_ROOT%{prefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Dec 08 1999 Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
- Updated for 1.2.1
* Sun Oct 31 1999 Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
- Updated for 1.2.0
* Sun Oct 17 1999 Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
- Updated for 1.2.0pre3
* Mon Oct 11 1999 Gerald Teschl <gerald@esi.ac.at>
- Updated for RedHat 6.1
* Thu Oct 07 1999 Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
- Updated for 1.2.0pre2
* Fri Sep 17 1999 Gerald Teschl <gerald@esi.ac.at>
- Rewrote spec file
